﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AOcrayon
{
    public partial class FontDialog : Form
    {
        public FontDialog()
        {
            InitializeComponent();
        }

        public string FontFamily
        {
            get { return (string) this.fontBox.SelectedItem; }
            set { this.fontBox.SelectedIndex = this.fontBox.FindStringExact( value ); }
        }

        public string FontStyle
        {
            get { return (string) this.styleBox.SelectedItem; }
            set { this.styleBox.SelectedIndex = this.styleBox.FindStringExact( value ); }
        }

        public string FontSize
        {
            get { return (string) this.sizeBox.SelectedItem; }
            set { this.sizeBox.SelectedIndex = this.sizeBox.FindStringExact( value ); }
        }

        public int Speed
        {
            get { return Decimal.ToInt32( this.speedSlider.Value ); }
            set { this.speedSlider.Value = value; }
        }

        public decimal WaitOnScreen
        {
            get { return this.waitSlider.Value; }
            set { this.waitSlider.Value = value; }
        }

        public int Direction
        {
            get
            {
                if( this.leftButton.Checked )
                    return -1;
                else if( this.rightButton.Checked )
                    return 1;
                else
                    return 0;
            }
            set
            {
                if( value == -1 )
                    this.leftButton.Checked = true;
                else if( value == 1 )
                    this.rightButton.Checked = true;
                else
                    this.centerButton.Checked = true;
            }
        }
    }
}
