﻿using System;
using System.Windows.Forms;
using FCGame;
using Twp.Utilities;
using System.Drawing;

namespace AOcrayon
{
    public partial class GameModeSelectionForm : Form
    {
        public GameModeSelectionForm()
        {
            InitializeComponent();

            this.gameModeList.DataSource = Program.GameModes.Modes;
            this.gameModeList.DisplayMember = "Name";
            this.gameModeList.ValueMember = "GameID";
            this.gameModeList.SelectedItem = Program.GameModes.Modes.Find( Program.Settings.LastGameMode );

            this.rememberModeBox.Checked = Program.Settings.RememberMode;
        }

        private void OnOkClicked( object sender, EventArgs e )
        {
            Program.Settings.LastGameMode = (this.gameModeList.SelectedItem as IGameMode).GameID;
            Program.Settings.RememberMode = this.rememberModeBox.Checked;
        }

        // Draws GameMode items in list, with icon.
        private void OnDrawItem( object sender, DrawItemEventArgs e )
        {
            e.DrawBackground();
            Rectangle bounds = e.Bounds;
            IGameMode gm = Program.GameModes.Modes[e.Index];
            Rectangle imgRect = new Rectangle( bounds.Location, new Size( 64, 64 ) );
            imgRect.Offset( 1, 1 );
            e.Graphics.DrawImage( (Image) gm.Resources.GetObject( "Icon" ), imgRect );
            bounds.Offset( 68, 0 );
            bounds.Width -= 68;
            TextFormatFlags tff = TextFormatFlags.EndEllipsis | TextFormatFlags.Left | TextFormatFlags.VerticalCenter;
            TextRenderer.DrawText( e.Graphics, gm.Name, this.gameModeList.Font, bounds, this.gameModeList.ForeColor, tff );
        }
    }
}
